
#include "interrupt.h"
#include "stm32f4xx_tim.h"





/**
  * @brief  Configures the NVIC.
  * @param  None
  * @retval None
  */
void InterruptCAN_Init(void)
{
  NVIC_InitTypeDef NVIC_InitStructure;

  NVIC_InitStructure.NVIC_IRQChannel = CAN2_RX0_IRQn;

  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0;
  NVIC_InitStructure.NVIC_IRQChannelSubPriority =configMAX_SYSCALL_INTERRUPT_PRIORITY+1;
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;

  NVIC_Init(&NVIC_InitStructure);

  NVIC_InitStructure.NVIC_IRQChannel = CAN1_RX1_IRQn;

  NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0;
  NVIC_InitStructure.NVIC_IRQChannelSubPriority =configMAX_SYSCALL_INTERRUPT_PRIORITY+1;
  NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;

  NVIC_Init(&NVIC_InitStructure);
}
/**
  * @brief  The ISR that will give the semaphore to unblock the vTask_SendRequest Task
  * @param  None
  * @retval None
  */
void CAN2_RX0_IRQHandler(void)
{
	CanRxMsg RxMessage;

	CAN_Receive(CAN2, CAN_FIFO0, &RxMessage);

	GPIO_SetBits(GPIOE, GPIO_Pin_11);
	GPIO_SetBits(GPIOD, GPIO_Pin_13);

	CAN_Send(CAN1,&RxMessage);

	GPIO_ResetBits(GPIOD, GPIO_Pin_13);
	GPIO_ResetBits(GPIOE, GPIO_Pin_11);

}




/**
  * @brief  This function handles CAN1 RX1 request.
  * @param  None
  * @retval None
  */
void CAN1_RX1_IRQHandler(void)
{
  CanRxMsg RxMessage;

  CAN_Receive(CAN1, CAN_FIFO1, &RxMessage);
  CAN_Send(CAN2,&RxMessage);

}

